org.codehaus.groovy.tools.shell.util

## Class SimpleCompletor

- java.lang.Object
- - jline.SimpleCompletor
  - - org.codehaus.groovy.tools.shell.util.SimpleCompletor

- All Implemented Interfaces:
    java.lang.Cloneable, jline.Completor

      public class SimpleCompletor
      extends jline.SimpleCompletor

  Support for simple completors.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jline.SimpleCompletor

      `jline.SimpleCompletor.NoOpFilter, jline.SimpleCompletor.SimpleCompletorFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCompletor()`
    `SimpleCompletor(Closure loader)`
    `SimpleCompletor(java.lang.String[] candidates)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String candidate)`
    `int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
    `java.lang.Object` | `leftShift(java.lang.String s)`

    - ### Methods inherited from class jline.SimpleCompletor

      `addCandidateString, clone, getCandidates, getDelimiter, setCandidates, setCandidateStrings, setDelimiter`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleCompletor

          public SimpleCompletor(java.lang.String[] candidates)

    - #### SimpleCompletor

          public SimpleCompletor()

    - #### SimpleCompletor

          public SimpleCompletor(Closure loader)

  - ### Method Detail

    - #### add

          public void add(java.lang.String candidate)

    - #### leftShift

          public java.lang.Object leftShift(java.lang.String s)

    - #### complete

          public int complete(java.lang.String buffer,
                     int cursor,
                     java.util.List clist)

      Specified by:
        `complete` in interface `jline.Completor`
      Overrides:
        `complete` in class `jline.SimpleCompletor`